<?xml version="1.0" encoding="UTF-8" ?>
<!--
Configuration for the simplest DiGIR resource - one that supports the Root schema
dbType is the PHP ADODB database connector type
-->
<configuration>
    <datasource 
       type="SQL"
       constr="Provider=Microsoft.JET.OLEDB.4.0;Data Source=&quot;c:\database\digir\root.mdb&quot;"
       uid=""
       pwd=""
       database=""
       dbtype="ado_access"
       encoding="utf-8">
    </datasource>
    <table name="root" key="recordid">
    </table>
    <defaultFormats>
        <format type="search" location="http://velo.dyndns.info/xsd/rootFormat.xsd" />
        <format type="scan" location="http://velo.dyndns.info/xsd/rootInventory.xsd" />
    </defaultFormats>
    <concepts xmlns:root="http://digir.net/2003/root/01" >
        <concept searchable="1" returnable="1" name="root:recordID" type="numeric" table="root" zid="1" field="recordid" />
        <concept searchable="1" returnable="1" name="root:DateCreated" type="DATETIME" table="root" zid="2" field="created" />
        <concept searchable="1" returnable="1" name="root:DateLastModified" type="DATETIME" table="root" zid="3" field="modified" />
    </concepts>
    <metadata>
      <name>Root database</name>
      <code>! set by application (value in resources.xml) !</code>
      <relatedInformation>http://digir.sourceforge.net</relatedInformation>
      <contact type="technical">
          <name>Dave Vieglais</name>
          <title></title>
          <emailAddress>vieglaisNOSPAM@ku.edu</emailAddress>
          <phone>1-785-864-7792</phone>
      </contact>
      <contact type="administrative">
          <name>Dave Vieglais</name>
          <title></title>
          <emailAddress>vieglaisNOSPAM@ku.edu</emailAddress>
          <phone>1-785-864-7792</phone>
      </contact>
      <abstract>
        This is an example of a minimal DiGIR resource that supports the root schema.  Only three concepts are defined- recordID, date created, and data last modified.  This resource is for testing purposes only and contains no useful data.
      </abstract>
      <keywords>root, test, minimal schema</keywords>
      <citation>How you want your data cited</citation>
      <useRestrictions>
        Restrictions on use of the data retrieved from this resource.
      </useRestrictions>
      <conceptualSchema schemaLocation="http://digir.sourceforge.net/fed/beta3/darwin2.xsd">
        http://www.namespaceTBD.org/darwin2
      </conceptualSchema>
      <recordIdentifier>Unique identifier for this resource (within the institution)</recordIdentifier>
      <recordBasis>voucher - can be voucher or observation - applies to *all* records in resource</recordBasis>
      <numberOfRecords>! set by application !</numberOfRecords>
      <dateLastUpdated>! set by application !</dateLastUpdated>
    </metadata>
</configuration>
